"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseTextForJSX = void 0;
/**
 * @packageDocumentation
 * @module Helpers
 */

/**
 * A string accompanied by a style tag.
 */

const tagRegex = /^<(\w+?)>(.+?)<\/(\w+?)>/s;
const beforeTagRegex = /^(.+?)(?=<\w+?>)/s;
const parseNextChunk = textToParse => {
  const tagMatch = tagRegex.exec(textToParse);
  const beforeTagMatch = beforeTagRegex.exec(textToParse);
  let tag = 'none';
  let text = '';
  let nextIndex = textToParse.length;
  if (tagMatch) {
    var _tagMatch$, _tagMatch$2;
    tag = (_tagMatch$ = tagMatch[1]) !== null && _tagMatch$ !== void 0 ? _tagMatch$ : '';
    text = (_tagMatch$2 = tagMatch[2]) !== null && _tagMatch$2 !== void 0 ? _tagMatch$2 : '';
    nextIndex = tagMatch[0].length;
  } else if (beforeTagMatch) {
    var _beforeTagMatch$;
    text = (_beforeTagMatch$ = beforeTagMatch[1]) !== null && _beforeTagMatch$ !== void 0 ? _beforeTagMatch$ : '';
    nextIndex = beforeTagMatch[0].length;
  } else {
    text = textToParse;
  }
  const result = [{
    tag,
    text
  }];
  if (textToParse.length > 0) {
    return [...result, ...parseNextChunk(textToParse.substring(nextIndex))];
  }
  return result;
};
const parseTextForJSX = parseableText => parseNextChunk(parseableText);
exports.parseTextForJSX = parseTextForJSX;
//# sourceMappingURL=parseTextForJSX.js.map