/**
 * @packageDocumentation
 * @module AccountUIContext
 */

import { initialTransitState } from '../TransitState';

/**
 * Network state and email for a user attempting to authenticate into the app.
 *
 * @param email The email with which a user is attempting to authenticate into the app.
 */

/**
 * Default initial state for [[AccountUIState]] upon app start.
 */
export const initialAccountUIState = {
  userToken: null,
  email: null,
  login: {
    ...initialTransitState,
    email: null
  },
  forgotPassword: {
    ...initialTransitState,
    email: null
  },
  setPassword: {
    setPasswordTransit: initialTransitState,
    verifyResetCodeTransit: initialTransitState
  }
};
//# sourceMappingURL=state.js.map